package com.writeoff.module.audit.model;

import java.util.List;

public class AuditFlowInfo {
    private Long id;
    private String flowCode;
    private String flowName;
    private String status;
    private Boolean isDefault;
    private String effectiveStartAt;
    private String effectiveEndAt;
    private List<AuditFlowNodeInfo> nodes;

    public AuditFlowInfo(Long id, String flowCode, String flowName, String status, Boolean isDefault, String effectiveStartAt, String effectiveEndAt, List<AuditFlowNodeInfo> nodes) {
        this.id = id;
        this.flowCode = flowCode;
        this.flowName = flowName;
        this.status = status;
        this.isDefault = isDefault;
        this.effectiveStartAt = effectiveStartAt;
        this.effectiveEndAt = effectiveEndAt;
        this.nodes = nodes;
    }

    public Long getId() {
        return id;
    }

    public String getFlowCode() {
        return flowCode;
    }

    public String getFlowName() {
        return flowName;
    }

    public String getStatus() {
        return status;
    }

    public Boolean getIsDefault() {
        return isDefault;
    }

    public String getEffectiveStartAt() {
        return effectiveStartAt;
    }

    public String getEffectiveEndAt() {
        return effectiveEndAt;
    }

    public List<AuditFlowNodeInfo> getNodes() {
        return nodes;
    }
}
